activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gareth Collins (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (AMQ-4492) ActiveMQ does not work on Karaf 3
Date Thu, 10 Oct 2013 03:28:43 GMT

    [ https://issues.apache.org/jira/browse/AMQ-4492?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13791145#comment-13791145
] 

Gareth Collins edited comment on AMQ-4492 at 10/10/13 3:27 AM:
---------------------------------------------------------------

Hello [~chris@die-schneider.net],[~jbonofre],

I have been seeing all the messages in the Karaf dev list about Karaf 3 so I am getting all
excited (Karaf 3 started to make me think of "Waiting For Godot"...:)). I see that activemq
5.9 is soon to come out so I would like to upgrade to that as well.

My apologies if I am not understanding here - What exactly is the problem? I can happily run
activemq 5.8.0 without Karaf (in an eclipse workspace with bndtools - equinox + gogo)...though
I don't have access to the activemq commands (which are Karaf specific). Why should Karaf
3.0.0 cause a problem with gogo package bindings? Surely Karaf should export the same gogo
packages as native felix gogo does? If it doesn't won't it break other OSGi features that
may use gogo?

I would hate activemq 5.9.0 not to be able to work in Karaf 3.0.0. just because of the Karaf
command-line (especially since it will likely be months for 5.10.0). The command-line commands,
are not essential, are they (I don't require them to run activemq 5.8.0 with just equinox
and gogo)?



was (Author: gcollins):
Hello [~chris@die-schneider.net],[~jbonofre],

I have been seeing all the messages in the Karaf dev list about Karaf 3 so I am getting all
excited (I start thinking of "Waiting For Godot"...:)). I see that activemq 5.9 is soon to
come out so I would like to upgrade to that as well.

My apologies if I am not understanding here - What exactly is the problem? I can happily run
activemq 5.8.0 without Karaf (in an eclipse workspace with bndtools - equinox + gogo)...though
I don't have access to the activemq commands (which are Karaf specific). Why should Karaf
3.0.0 cause a problem with gogo package bindings? Surely Karaf should export the same gogo
packages as native felix gogo does? If it doesn't won't it break other OSGi features that
may use gogo?

I would hate activemq 5.9.0 not to be able to work in Karaf 3.0.0. just because of the Karaf
command-line (especially since it will likely be months for 5.10.0). The command-line commands,
are not essential, are they (I don't require them to run activemq 5.8.0 with just equinox
and gogo).

> ActiveMQ does not work on Karaf 3
> ---------------------------------
>
>                 Key: AMQ-4492
>                 URL: https://issues.apache.org/jira/browse/AMQ-4492
>             Project: ActiveMQ
>          Issue Type: Task
>          Components: Broker
>    Affects Versions: 5.8.0
>         Environment: Karaf 3.0.0.RC1
>            Reporter: Christian Schneider
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 5.10.0
>
>
> when I try to install activemq 5.7.0 into karaf 3.0.0.RC1 I get the following error:
> karaf@root()> feature:install activemq-blueprint
> Error executing command: Could not start bundle mvn:org.apache.activemq/activemq-karaf/5.7.0
in feature(s) activemq-5.7.0: Unresolved constraint in bundle activemq-karaf [297]: Unable
to resolve 297.0: missing requirement [297.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.gogo.commands.basic)(version>=0.10.0)(!(version>=1.0.0)))
> The exported packages in karaf look like this:
> exports | grep gogo
> org.apache.felix.gogo.api | 0.10.0          | 48  | org.apache.karaf.shell.console
> org.apache.felix.gogo.commands | 0.10.0          | 48  | org.apache.karaf.shell.console
> org.apache.felix.gogo.runtime.activator | 0.10.0          | 48  | org.apache.karaf.shell.console
> org.apache.felix.gogo.runtime.threadio | 0.10.0          | 48  | org.apache.karaf.shell.console
> org.apache.felix.gogo.runtime | 0.10.0          | 48  | org.apache.karaf.shell.console
> For ActiveMQ 5.8.0 the error is similar. 



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message